export interface IS3Descriptor {
  endpoint: string;
  port?: number | string;
  useSsl?: boolean;
  accessKey: string;
  accessSecret: string;
  /**
   * may be used to preselect a certain bucket
   */
  bucketName?: string;
  /**
   * may be used to preselect a certain directory
   */
  directoryPath?: string;
  region?: string;
}
