export type TDnsRecordType =
  | "A"
  | "AAAA"
  | "CNAME"
  | "LOC"
  | "PTR"
  | "MX"
  | "NAPTR"
  | "NS"
  | "SRV"
  | "TXT"
  | "CAA"
  | "CERT"
  | "DNSKEY"
  | "DS"
  | "HTTPS"
  | "SMIMEA"
  | "SSHFP"
  | "SVCB"
  | "TLSA"
  | "URI";

export interface IDnsRecord {
  name: string;
  type: TDnsRecordType;
  value: string;
  dnsSecEnabled: boolean;
}
