import { type ICompany } from "../business/company.js";

export interface IProduct {
  name: string;
  slogan: string;
  description: string;
  os: 'web-based',
  category: 'Business Application',
  offers: any[];
  features: IProductFeature[];
  landingPage: string;
  appLink: string;
  logoLink: string;
  publisher?: ICompany;
}

export interface IProductFeature {
  heading: string;
  description: string;
  linkText: string;
  linkUrl: string;
}